Bug 863537

Summary: [abrt] hotssh-0.2.7-4.fc17: subprocess.py:1249:_execute_child:OSError: [Errno 2] No such file or directory
Product: [Fedora] Fedora Reporter: Chuck Schoppet <chuck.schoppet>
Component: hotsshAssignee: Colin Walters <walters>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: walters
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e30e45bdabaef8e665478770e800e61aca92d279
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 13:03:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: core_backtrace none

Description Chuck Schoppet 2012-10-05 18:30:26 UTC
Description of problem:
Just after GUI login using Xcfe desktop.

Version-Release number of selected component:
hotssh-0.2.7-4.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/bin/hotssh
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:subprocess.py:1249:_execute_child:OSError: [Errno 2] No such file or directory
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 359, in __on_options_help_clicked
:    subprocess.Popen(['gnome-terminal', '-x', 'man', 'ssh'])
:  File "/usr/lib64/python2.7/subprocess.py", line 679, in __init__
:    errread, errwrite)
:  File "/usr/lib64/python2.7/subprocess.py", line 1249, in _execute_child
:    raise child_exception
:OSError: [Errno 2] No such file or directory
:
:Local variables in innermost frame:
:errread: None
:c2pread: None
:gc_was_enabled: True
:errwrite: None
:shell: False
:errpipe_write: 9
:executable: 'gnome-terminal'
:close_fds: False
:self: <subprocess.Popen object at 0x7ff2e0f915d0>
:env: None
:cwd: None
:child_exception: OSError(2, 'No such file or directory')
:args: ['gnome-terminal', '-x', 'man', 'ssh']
:fd: None
:c2pwrite: None
:data: 'cexceptions\nOSError\np0\n(I2\nS\'No such file or directory\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib64/python2.7/subprocess.py", line 1201, in _execute_child\\n    os.execvp(executable, args)\\n  File "/usr/lib64/python2.7/os.py", line 344, in execvp\\n    _execvpe(file, args)\\n  File "/usr/lib64/python2.7/os.py", line 380, in _execvpe\\n    func(fullname, *argrest)\\nOSError: [Errno 2] No such file or directory\\n\'\np6\nsb.'
:creationflags: 0
:errpipe_read: 8
:preexec_fn: None
:p2cread: None
:startupinfo: None
:p2cwrite: None
:universal_newlines: False

Comment 1 Chuck Schoppet 2012-10-05 18:30:30 UTC
Created attachment 622371 [details]
File: core_backtrace

Comment 2 Fedora End Of Life 2013-07-04 04:16:11 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 13:03:36 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.